summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDoug Newgard2017-03-04 10:57:54 -0600
committerDoug Newgard2017-03-04 10:57:54 -0600
commit4f10ea1f643a911609b5e472a6b7944ebf781d56 (patch)
tree4cdde8a77dad227f7229c9dd60e1a5c3d440e95b
parent4e4998f6d7b2dc83031feeddfe8ee311c38aa702 (diff)
downloadaur-4f10ea1f643a911609b5e472a6b7944ebf781d56.tar.gz
Fix build with newer libs
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD17
2 files changed, 17 insertions, 8 deletions
diff --git a/.SRCINFO b/.SRCINFO
index f79ecbfa006..c50f1cdb8ff 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -10,10 +10,6 @@ pkgbase = qgis-ltr
makedepends = gsl
makedepends = perl
makedepends = txt2tags
- makedepends = sip<4.19.1
- makedepends = python2-sip<4.19.1
- makedepends = pyqt4-common<4.12-4
- makedepends = python2-pyqt4<4.12-4
depends = expat
depends = gcc-libs
depends = gdal
@@ -49,7 +45,11 @@ pkgbase = qgis-ltr
provides = qgis=2.14.12
conflicts = qgis
source = https://qgis.org/downloads/qgis-2.14.12.tar.bz2
+ source = https://github.com/qgis/QGIS/commit/2efb2a38f10a5f6c4f46266dbc86a302f2e5d373.patch
+ source = https://github.com/qgis/QGIS/commit/beb55d19b17427eda275fb980530eedb35818d3f.patch
md5sums = b1e7709497d6229381d694fa8f3f43a3
+ md5sums = 7e8b670f389360e648be3784d312160b
+ md5sums = fc2153de4ed6a93a1bf1a1d80f278030
pkgname = qgis-ltr
diff --git a/PKGBUILD b/PKGBUILD
index b68f4d51ed7..0c73c34cf7a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -21,8 +21,7 @@ arch=('i686' 'x86_64')
depends=('expat' 'gcc-libs' 'gdal' 'geos' 'glibc' 'libspatialite' 'postgresql-libs' 'proj'
'qca-qt4' 'qscintilla-qt4' 'qt4' 'qtwebkit' 'qwt' 'qwtpolar' 'spatialindex' 'sqlite'
'python2' 'python2-httplib2' 'python2-qscintilla-qt4' 'python2-sip' 'python2-six')
-makedepends=('cmake' 'gsl' 'perl' 'txt2tags'
- 'sip<4.19.1' 'python2-sip<4.19.1' 'pyqt4-common<4.12-4' 'python2-pyqt4<4.12-4')
+makedepends=('cmake' 'gsl' 'perl' 'txt2tags')
optdepends=('gpsbabel: GPS Tool plugin'
'gsl: Georeferencer plugin'
'python2-jinja: MetaSearch plugin'
@@ -36,12 +35,22 @@ optdepends=('gpsbabel: GPS Tool plugin'
'python2-yaml: Processing plugin')
provides=("$_pkgname=$pkgver")
conflicts=("$_pkgname")
-source=("https://qgis.org/downloads/$_pkgname-$pkgver.tar.bz2")
-md5sums=('b1e7709497d6229381d694fa8f3f43a3')
+source=("https://qgis.org/downloads/$_pkgname-$pkgver.tar.bz2"
+ "https://github.com/qgis/QGIS/commit/2efb2a38f10a5f6c4f46266dbc86a302f2e5d373.patch"
+ "https://github.com/qgis/QGIS/commit/beb55d19b17427eda275fb980530eedb35818d3f.patch")
+md5sums=('b1e7709497d6229381d694fa8f3f43a3'
+ '7e8b670f389360e648be3784d312160b'
+ 'fc2153de4ed6a93a1bf1a1d80f278030')
prepare() {
cd $_pkgname-$pkgver
+ # Fix build with sip 4.19.1
+ patch -Np1 < ../2efb2a38f10a5f6c4f46266dbc86a302f2e5d373.patch
+
+ # Find new QScintilla lib name
+ patch -Np1 < ../beb55d19b17427eda275fb980530eedb35818d3f.patch
+
# Fix references to "python"
sed -i 's/\(env \|\/usr\/bin\/\)python$/&2/' $(find . -iname "*.py")
sed -i 's/python /python2 /' scripts/pyuic4-wrapper.sh